path: /build/build/lkrg-app-antivirus-0.9.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - luet repo update && luet i kernel-5.10/macaroni-full --finalizer-env "BUILD_ISO=1"
    && luet cleanup && export kver=$(luet s kernel-5.10/macaroni-full -o json | jq
    .stones[0].labels.\"package.version\" -r) && cd /lib/modules/${kver}-macaroni
    && ln -s /usr/src/linux-${kver}-macaroni build && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="kernel_linux" emerge app-antivirus/lkrg -pv -t && \
    USE="kernel_linux" emerge -j ${JOBS} --nodeps app-antivirus/lkrg
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lkrg && luet-portage --dir /pkgdir/lkrg
    app-antivirus/lkrg && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bef0497ad580a1c938feec8233d1cc906b9365f4577ddb289bd03e716c35ce9c
  package:
    name: lkrg
    version: 0.9.8
    category: app-antivirus
    use_flags:
    - kernel_linux
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Linux Kernel Runtime Guard
    uri:
    - https://lkrg.org
    license: GPL-2
    buildtimestamp: 2024-03-09 08:45:57.751389351 +0000 UTC m=+160.331178132
    labels:
      DEPEND: kernel_linux? ( virtual/modutils ) sys-apps/sed kernel_linux? ( virtual/linux-sources
        virtual/libelf )
      IUSE: kernel_linux kernel_linux kernel_linux
      RDEPEND: kernel_linux? ( virtual/modutils )
      emerge.packages: app-antivirus/lkrg
      kit: security-kit
      original.package.name: app-antivirus/lkrg
      original.package.slot: "0"
      original.package.version: 0.9.8
    treedir: /build/packages
  package_dir: /pkgdir/lkrg
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/lib/modules/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7a7c783daae690a82eae7c66bad3fcfd67b2865b79509e01683b1fc4dd553bb4
compressiontype: zstd
files:
- etc/init.d/lkrg
- etc/sysctl.d/01-lkrg.conf
- var/db/pkg/app-antivirus/lkrg-0.9.8/BUILD_TIME
- var/db/pkg/app-antivirus/lkrg-0.9.8/CATEGORY
- var/db/pkg/app-antivirus/lkrg-0.9.8/CBUILD
- var/db/pkg/app-antivirus/lkrg-0.9.8/CFLAGS
- var/db/pkg/app-antivirus/lkrg-0.9.8/CHOST
- var/db/pkg/app-antivirus/lkrg-0.9.8/CONTENTS
- var/db/pkg/app-antivirus/lkrg-0.9.8/COUNTER
- var/db/pkg/app-antivirus/lkrg-0.9.8/CXXFLAGS
- var/db/pkg/app-antivirus/lkrg-0.9.8/DEFINED_PHASES
- var/db/pkg/app-antivirus/lkrg-0.9.8/DEPEND
- var/db/pkg/app-antivirus/lkrg-0.9.8/DESCRIPTION
- var/db/pkg/app-antivirus/lkrg-0.9.8/EAPI
- var/db/pkg/app-antivirus/lkrg-0.9.8/FEATURES
- var/db/pkg/app-antivirus/lkrg-0.9.8/HOMEPAGE
- var/db/pkg/app-antivirus/lkrg-0.9.8/INHERITED
- var/db/pkg/app-antivirus/lkrg-0.9.8/IUSE
- var/db/pkg/app-antivirus/lkrg-0.9.8/IUSE_EFFECTIVE
- var/db/pkg/app-antivirus/lkrg-0.9.8/KEYWORDS
- var/db/pkg/app-antivirus/lkrg-0.9.8/LDFLAGS
- var/db/pkg/app-antivirus/lkrg-0.9.8/LICENSE
- var/db/pkg/app-antivirus/lkrg-0.9.8/NEEDED
- var/db/pkg/app-antivirus/lkrg-0.9.8/PF
- var/db/pkg/app-antivirus/lkrg-0.9.8/RDEPEND
- var/db/pkg/app-antivirus/lkrg-0.9.8/SIZE
- var/db/pkg/app-antivirus/lkrg-0.9.8/SLOT
- var/db/pkg/app-antivirus/lkrg-0.9.8/USE
- var/db/pkg/app-antivirus/lkrg-0.9.8/environment.bz2
- var/db/pkg/app-antivirus/lkrg-0.9.8/lkrg-0.9.8.ebuild
- var/db/pkg/app-antivirus/lkrg-0.9.8/repository
package_cacheimage: ""
runtime:
  name: lkrg
  version: 0.9.8
  category: app-antivirus
  use_flags:
  - kernel_linux
  requires:
  - name: modutils
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Linux Kernel Runtime Guard
  uri:
  - https://lkrg.org
  license: GPL-2
  labels:
    DEPEND: kernel_linux? ( virtual/modutils ) sys-apps/sed kernel_linux? ( virtual/linux-sources
      virtual/libelf )
    IUSE: kernel_linux kernel_linux kernel_linux
    RDEPEND: kernel_linux? ( virtual/modutils )
    emerge.packages: app-antivirus/lkrg
    kit: security-kit
    original.package.name: app-antivirus/lkrg
    original.package.slot: "0"
    original.package.version: 0.9.8
